/* Generated from RTCom telepathy-glib extensions



 */

#ifdef __cplusplus
extern "C" {
#endif

/**
 *
RTComTpContactInfoFlag:
 * @RTCOM_TP_CONTACT_INFO_FLAG_CAN_SET: <![CDATA[           Indicates that SetContactInfo is           supported on this connection.         ]]>
 * @RTCOM_TP_CONTACT_INFO_FLAG_PUSH: <![CDATA[           Indicates that the protocol pushes all contacts' information to the           connection manager without prompting. If set,           RequestContactInfo will not cause a           network roundtrip and           ContactInfoChanged will be emitted           whenever contacts' information changes.         ]]>
 *
 * <![CDATA[         Flags defining the behaviour of contact information on this protocol.         Some protocols provide no information on contacts without an explicit         request; others always push information to the connection manager as         and when it changes.       ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    RTCOM_TP_CONTACT_INFO_FLAG_CAN_SET = 1,
    RTCOM_TP_CONTACT_INFO_FLAG_PUSH = 2,
} RTComTpContactInfoFlag;

/**
 * NUM_RTCOM_TP_CONTACT_INFO_FLAGS:
 *
 * 1 higher than the highest valid value of #RTComTpContactInfoFlag.
 */
#define NUM_RTCOM_TP_CONTACT_INFO_FLAGS (2+1)

/**
 *
RTComTpContactInfoFieldFlags:
 * @RTCOM_TP_CONTACT_INFO_FIELD_FLAG_PARAMETERS_MANDATORY: <![CDATA[           If present, exactly the parameters indicated must be set on this             field; in the case of an empty list of parameters, this implies that             parameters may not be used.            If absent, and the list of allowed parameters is non-empty,             any (possibly empty) subset of that list may be             used.            If absent, and the list of allowed parameters is empty,             any parameters may be used.         ]]>
 *
 * <![CDATA[         Flags describing the behaviour of a vCard field.       ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    RTCOM_TP_CONTACT_INFO_FIELD_FLAG_PARAMETERS_MANDATORY = 1,
} RTComTpContactInfoFieldFlags;

/**
 *
RTComTpAccessPolicy:
 * @RTCOM_TP_ACCESS_POLICY_ANYONE: <![CDATA[ 	  Any remote contact can contact the local user. 	]]>
 * @RTCOM_TP_ACCESS_POLICY_AUTHORIZEDONLY: <![CDATA[ 	  Only contacts in the buddy list or the authorized contacts 	    (in Telepathy, members of the "stored" contact list) can 	    contact the local user. 	]]>
 *
 * <![CDATA[ 	Values to define acceptance policy for a certain kind of 	  incoming communication based on the status of the initiator 	  contact.       ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    RTCOM_TP_ACCESS_POLICY_ANYONE = 0,
    RTCOM_TP_ACCESS_POLICY_AUTHORIZEDONLY = 1,
} RTComTpAccessPolicy;

/**
 * NUM_RTCOM_TP_ACCESS_POLICYS:
 *
 * 1 higher than the highest valid value of #RTComTpAccessPolicy.
 */
#define NUM_RTCOM_TP_ACCESS_POLICYS (1+1)

/**
 *
RTComTpChannelContactSearchState:
 * @RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_NOT_STARTED: <![CDATA[The search has not started]]>
 * @RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_IN_PROGRESS: <![CDATA[The search is in progress]]>
 * @RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_MORE_AVAILABLE: <![CDATA[The search has paused, but more results can be retrieved           by calling More.]]>
 * @RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_COMPLETED: <![CDATA[The search has been completed]]>
 * @RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_FAILED: <![CDATA[The search has failed]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_NOT_STARTED = 0,
    RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_IN_PROGRESS = 1,
    RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_MORE_AVAILABLE = 2,
    RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_COMPLETED = 3,
    RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATE_FAILED = 4,
} RTComTpChannelContactSearchState;

/**
 * NUM_RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATES:
 *
 * 1 higher than the highest valid value of #RTComTpChannelContactSearchState.
 */
#define NUM_RTCOM_TP_CHANNEL_CONTACT_SEARCH_STATES (4+1)


#ifdef __cplusplus
}
#endif
